Loading...
Searching...
No Matches
novas_on_surface Struct Reference

Data for an observer's location on the surface of the Earth, and optional local weather data for refraction calculations only. More...

`#include <novas.h>`

## Public Attributes

double | height
| [m] geodetic (ITRS / GRS80) altitude above sea level
double | humidity
| [%] Relative humidity.
double | latitude
| [deg] geodetic (ITRS / GRS80) latitude; north positive
double | longitude
| [deg] geodetic (ITRS / GRS80) longitude; east positive
double | pressure
| [mbar] atmospheric pressure for optical refraction
double | temperature
| [C] temperature (degrees Celsius); for optical refraction

## Detailed Description

Data for an observer's location on the surface of the Earth, and optional local weather data for refraction calculations only.

See also
  make_itrf_site(), make_gps_site(), make_xyz_site(), make_observer_at_site(), ON_SURFACE_INIT
  make_observer_at_site(), make_airborne_observer()

## Member Data Documentation

## height

double novas_on_surface::height

[m] geodetic (ITRS / GRS80) altitude above sea level

Referenced by supernovas::Site::itrf_transformed(), make_itrf_site(), novas_equals_on_surface(), novas_geodetic_transform_site(), novas_itrf_transform_site(), novas_set_default_weather(), and supernovas::GeodeticObserver::site().

## humidity

double novas_on_surface::humidity

[%] Relative humidity.

Since
  1.1

Referenced by supernovas::Site::average_weather(), supernovas::Source::horizontal_track(), novas_equals_on_surface(), novas_geodetic_transform_site(), novas_itrf_transform_site(), novas_radio_refraction(), novas_set_default_weather(), and novas_wave_refraction().

## latitude

double novas_on_surface::latitude

[deg] geodetic (ITRS / GRS80) latitude; north positive

Referenced by supernovas::Site::itrf_transformed(), make_itrf_site(), novas_equals_on_surface(), novas_geodetic_transform_site(), novas_itrf_transform_site(), novas_set_default_weather(), and supernovas::GeodeticObserver::site().

## longitude

double novas_on_surface::longitude

[deg] geodetic (ITRS / GRS80) longitude; east positive

Referenced by supernovas::Site::itrf_transformed(), make_itrf_site(), novas_equals_on_surface(), novas_geodetic_transform_site(), novas_itrf_transform_site(), and supernovas::GeodeticObserver::site().

## pressure

double novas_on_surface::pressure

[mbar] atmospheric pressure for optical refraction

Referenced by supernovas::Site::average_weather(), supernovas::Source::horizontal_track(), novas_equals_on_surface(), novas_geodetic_transform_site(), novas_itrf_transform_site(), novas_radio_refraction(), novas_set_default_weather(), novas_wave_refraction(), and refract().

## temperature

double novas_on_surface::temperature

[C] temperature (degrees Celsius); for optical refraction

Referenced by supernovas::Site::average_weather(), supernovas::Source::horizontal_track(), novas_equals_on_surface(), novas_geodetic_transform_site(), novas_itrf_transform_site(), novas_radio_refraction(), novas_set_default_weather(), novas_wave_refraction(), and refract().